package de.unikoblenz.fgbks.base.utils.boundary.bicreater;

import de.unikoblenz.fgbks.base.utils.boundary.impl.StringBoundary;
import java.util.Optional;

public class BiCreaterStringLowerBounds extends AbstractBoundaryBiCreater<StringBoundary> {

  private static final BiCreaterStringLowerBounds instance = new BiCreaterStringLowerBounds();

  private BiCreaterStringLowerBounds() {
    super();
  }

  public static BiCreaterStringLowerBounds getInstance() {
    return instance;
  }

  @Override
  public BoundaryBiCreaterType getType() {
    return BoundaryBiCreaterType.LOWER_BOUNDS;
  }

  @Override
  public Optional<StringBoundary> create(StringBoundary b1, StringBoundary b2) {
    return Optional.empty();
  }
}
